commit 99ed173f9924f94d0ad30bfad97450456ff76a64
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 13 00:55:30 2022 +0100

    I18n: Update translation ru (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3aea9ade3070f832d2be0477497d7ddeec457dcc
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 6 00:50:21 2022 +0100

    I18n: Update translation nb (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c5c83ea5a1577599b927dfd43d9ccbeae52ca8aa
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 5 21:58:30 2022 +0100

    build: Bump requirements for Xfce 4.18

commit f6789a8d58ddd64aa3eb17937b6cde8ce07d5e1f
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 5 12:53:59 2022 +0100

    I18n: Update translation hu (99%).
    
    256 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0cf11c4926c6d1a241dc1a5af6f872ec26558541
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 5 00:50:23 2022 +0100

    I18n: Update translation oc (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 307c81950493a06e28b097dcc29d73de032c2be7
Author: Denis Kuzminok <denis.kuzminok4@gmail.com>
Date:   Fri Dec 2 01:00:45 2022 +0100

    Adding wallpapers of Xfce4.18 wallpaper contest
    
    2nd and 3rd place

commit 110ee9c79b4a9559633b2ba5bbe76887845624ec
Author: Katerina Shkel <katerinaskel@gmail.com>
Date:   Thu Dec 1 23:19:48 2022 +0100

    Adding wallpapers of Xfce4.18 wallpaper contest
    
    1st place

commit abedded98112c7c5aae4c9f443111ca487fc5f58
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 2 12:52:21 2022 +0100

    I18n: Update translation el (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a1df0f2e06d8722a40d79dd94ed638211894ede6
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 2 00:50:33 2022 +0100

    I18n: Update translation sr (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1f5608d3229493b26c6314dd8485c82bbac27672
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 2 00:50:33 2022 +0100

    I18n: Update translation de (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ab94c7c7876f323dd53e6cd63ccb276a6b0ce917
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Thu Dec 1 09:46:57 2022 +0100

    Back to development

commit ad9ea1ba405b7704e44325a0c126a737aaedd6c8
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Thu Dec 1 09:45:43 2022 +0100

    Updates for release

commit 340355b795da8f1c0026e9c5dde42b1b8173062d
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 1 00:50:26 2022 +0100

    I18n: Update translation fr (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 479ec2fe8266d1b80ca5454ba5ae4c1331834536
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 12:53:13 2022 +0100

    I18n: Update translation zh_CN (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cd2e1f844c0b55e176b4e23f235907f9667adbf0
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 00:59:49 2022 +0100

    I18n: Update translation pt (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b8714249fb817783fcbdfc5a96ac8fc33a6a0436
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 00:59:49 2022 +0100

    I18n: Update translation kk (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b0dbb8a92b8d6fcc9d6242e7792d3bf32f46c208
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 00:59:49 2022 +0100

    I18n: Update translation et (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f3ab5c9fe8ae5fa08696110f5e951ef01f9adf13
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 00:59:49 2022 +0100

    I18n: Update translation es (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0fdc6acbeda03b04c4f535ceeb7ce01d5052dd00
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 29 12:53:20 2022 +0100

    I18n: Update translation pt_BR (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 369b3694c787de3fd9cc37e95219bda4de9983fb
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 29 12:53:20 2022 +0100

    I18n: Update translation bg (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cbf759d48ba22801255686b7a73bf6c07663dd5b
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 29 00:50:01 2022 +0100

    I18n: Update translation sq (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8110918da7419989b2b0003af07ee15b76bd4155
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 29 00:50:01 2022 +0100

    I18n: Update translation lt (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 631330c5c831df68d50fc3cf233b8d831a47b6dd
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:14 2022 +0100

    I18n: Update translation zh_TW (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b400ba186c97643093a98cff00421ec5b00b0f81
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:14 2022 +0100

    I18n: Update translation zh_HK (94%).
    
    243 translated messages, 14 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 531e030c2248e1bcaadef0a55a0d3c7ed416a33d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:14 2022 +0100

    I18n: Update translation zh_CN (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 959a019fbe352fb08cb7e894a6d63e18e4b0994c
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:14 2022 +0100

    I18n: Update translation uz (63%).
    
    163 translated messages, 94 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9e5795e28c153ace34ea8754375a40f8f02de886
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:14 2022 +0100

    I18n: Update translation uk (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bedffeb1bdcdf952fcf26e3f7399b30d04708327
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:14 2022 +0100

    I18n: Update translation ug (65%).
    
    169 translated messages, 88 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit eaa0617e793d2a777905da64b3f8a2db264fc40c
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:14 2022 +0100

    I18n: Update translation th (98%).
    
    252 translated messages, 5 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0e1d3226d3ea8908fe2b55c1ceba4de0c8757c4e
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:14 2022 +0100

    I18n: Update translation sv (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2be1ca0b28ca42b3a59fb263ab086c98ae78b029
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:13 2022 +0100

    I18n: Update translation sr (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 465d4702b5fd082d2e8b9c090fa6088eb026c940
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:13 2022 +0100

    I18n: Update translation sq (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cb4882272950dbe197c4251346d769cc40c6b77a
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:13 2022 +0100

    I18n: Update translation sl (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0937a5c8d62964760bc4855a0b4ea213bf79a92d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:13 2022 +0100

    I18n: Update translation sk (95%).
    
    245 translated messages, 12 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 761d8470acc0d44e2d6300f37e6abe1caec99754
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:13 2022 +0100

    I18n: Update translation ru (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c3dcd0b5aa934d1f81e890570d8ce0cfc1b33dbc
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:13 2022 +0100

    I18n: Update translation ro (91%).
    
    236 translated messages, 21 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2e07332f5f489aab7c9ff76aca8f30fb04d1feff
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:13 2022 +0100

    I18n: Update translation pt_BR (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5c3454fd0d57f64d9f6a8838a5e717bddb1dcc96
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:13 2022 +0100

    I18n: Update translation pt (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f40923c95a22247bcb98e176c4c1caa68971d15e
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:12 2022 +0100

    I18n: Update translation pl (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3458a0e7a6efae4d5aeac385a69426960768300c
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:12 2022 +0100

    I18n: Update translation oc (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 86e1b291b5ae960be6a97c87c9926769f712ec94
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:12 2022 +0100

    I18n: Update translation nn (94%).
    
    244 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7e915bf3e75a420d32dba6c313db7fd8ee20e4a8
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:12 2022 +0100

    I18n: Update translation nl (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 45907d350d09542dc34f8baa570e54e6562dae34
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:12 2022 +0100

    I18n: Update translation nb (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c251f96172e88e84885a41af044173586e5724ae
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:12 2022 +0100

    I18n: Update translation ms (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 53115712d201915ab4dacae3f695e8199403b2d3
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:12 2022 +0100

    I18n: Update translation lt (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a6fa06e3ec764fc8bc572e8d51a6f4d0a50bdb39
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:12 2022 +0100

    I18n: Update translation ko (98%).
    
    252 translated messages, 5 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b2053d968e2969ce91cb9d8c5b75f7e8efe80241
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:11 2022 +0100

    I18n: Update translation kk (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a7a1bdf664eefafff68a5304a1b7b2903e802a9d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:11 2022 +0100

    I18n: Update translation ka (95%).
    
    246 translated messages, 11 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fc8b6ce914d3dabc751e48791fe79ab0f8f08cac
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:11 2022 +0100

    I18n: Update translation ja (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 03e1e1ccada5173cb1f39c18e1d8b2ab1463afa7
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:11 2022 +0100

    I18n: Update translation it (100%).
    
    257 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0cedbf2ef7f8a13cedb9f275118b78c7217bea88
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:11 2022 +0100

    I18n: Update translation is (94%).
    
    242 translated messages, 15 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a861add7a2bda635019783869fc2cf4607f078d7
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:11 2022 +0100

    I18n: Update translation ie (94%).
    
    244 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a5fe9be4930e79650499b680f0b3760bfc0b2601
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:11 2022 +0100

    I18n: Update translation id (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f135e1f1b00d0ba59c93869d45070c2037e9c814
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:11 2022 +0100

    I18n: Update translation hye (95%).
    
    245 translated messages, 12 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 329d620a6f1ac3fd154ac5dbe66c932f310b3584
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:11 2022 +0100

    I18n: Update translation hy_AM (95%).
    
    245 translated messages, 12 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ca3cce66e8bbc0290ddcd74682fbb92b4e096d24
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:10 2022 +0100

    I18n: Update translation hu (96%).
    
    248 translated messages, 9 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bf03d3a077d2e3c2fe4557a22601f006b4f46066
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:10 2022 +0100

    I18n: Update translation hr (95%).
    
    246 translated messages, 11 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 38905ec8cce46952a0e877fd80b4fe035c2110ca
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:10 2022 +0100

    I18n: Update translation he (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4783ae324cc07ff3b2d79f293e28decf4e8f0d45
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:10 2022 +0100

    I18n: Update translation gl (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8b6306c76da1e49947def821b42d6fad52290e63
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:10 2022 +0100

    I18n: Update translation fr (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 265db3842a97362d5876355cef6c430e5d736fa5
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:10 2022 +0100

    I18n: Update translation fi (96%).
    
    248 translated messages, 9 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1e672595667edd2a57319767a38ff5b55ad26d1b
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:10 2022 +0100

    I18n: Update translation fa_IR (98%).
    
    252 translated messages, 5 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5f927ad9f569bb7a82f3dcffe00ec47b6b6f13f8
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:10 2022 +0100

    I18n: Update translation eu (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f902d4f53ecf2a51cf53cc724e0724108f5b8936
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:09 2022 +0100

    I18n: Update translation et (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e08e24d272fa6d34b6ef2f7cb1c1968f830dc01f
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:09 2022 +0100

    I18n: Update translation es (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9a9fd5cb5f0a46be0c9b96d3311648fed9c3b88e
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:09 2022 +0100

    I18n: Update translation en_GB (98%).
    
    253 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bf9c2326125beba2503d19e2f98c7b217237f10b
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:09 2022 +0100

    I18n: Update translation en_CA (98%).
    
    252 translated messages, 5 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 781b8d2fb1788c6b9f3a96676fba0b56c77cea77
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:09 2022 +0100

    I18n: Update translation en_AU (94%).
    
    243 translated messages, 14 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 971fa18e77b114558c519febf6140d922f54a4c5
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:09 2022 +0100

    I18n: Update translation el (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 60402b24ec8cb66e25a86fd62a446e425d2f1ca3
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:09 2022 +0100

    I18n: Update translation de (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 79127a0723a595f93cd8c8c3b0706c4aa07f9b1a
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:09 2022 +0100

    I18n: Update translation da (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0313993588e24d1aeb2155e04421e41cba7cc2cf
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:08 2022 +0100

    I18n: Update translation cs (98%).
    
    253 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 97d5b52cea93e1e56c7ccf0681c71adf3b013334
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:08 2022 +0100

    I18n: Update translation ca (98%).
    
    252 translated messages, 5 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e97a8a2fd4d4e4de5eb3e0c2833345fb5d49c7dc
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:08 2022 +0100

    I18n: Update translation bg (98%).
    
    254 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 39c08712d278f0f357249da0ee602bcfcb47a7ad
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:08 2022 +0100

    I18n: Update translation be@tarask (94%).
    
    244 translated messages, 13 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 344883200a45d19936dc3dbdfba8d7b0a605b7e3
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:08 2022 +0100

    I18n: Update translation be (96%).
    
    247 translated messages, 10 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 833eac2bb4661a97287c3a34a7d79e07b9b2bb4d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:08 2022 +0100

    I18n: Update translation az (97%).
    
    251 translated messages, 6 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4cc09ff7e087088bfa8cd9bea1aab08ac8080698
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:08 2022 +0100

    I18n: Update translation ast (88%).
    
    227 translated messages, 30 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 084cd6dcff5284b9bd080f283dade02f635377cb
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:08 2022 +0100

    I18n: Update translation ar (97%).
    
    250 translated messages, 7 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8c5815c0ba4c7c0bc49fe0bf9814e62147215450
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:08 2022 +0100

    I18n: Update translation am (82%).
    
    213 translated messages, 44 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 538deff59a1900df63f18cade16e3872ee315285
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Nov 16 16:39:24 2022 -0800

    Improve behavior when changing folders in settings dialog
    
    If the background cycling option is enabled, and the user selects a new
    folder, nothing will be selected in the icon view, but sometimes users
    will think that is enough to change the folder where xfdesktop will find
    backgrounds to cylce through, and close the window.  Unfortunately, that
    doesn't actually change the folder; only selecting a background in the
    new folder will do that.
    
    Selecting one automatically (when background cycling is enabled) is
    undesirable because users will sometimes navigate around their folder
    structure to explore what's available, and will sometimes decide not to
    change the background.
    
    This commit adds an "Apply" button next to the folder selection button
    when the folder is changed and the background cycling option is enabled.
    The Apply button is hidden after it is activated (which selects the
    first background in the icon view).
    
    Other options considered:
    
    * Add a banner on the top warning the user that the folder is not
      actually selected.  But we already have a banner there in
      multi-monitor setups, and adding extra text for the user to read
      (especially for users who *don't* forget about this issue) is
      annoying.
    * Add a confirmation dialog when closing the settings window if no
      background is selected.  Two issues here: 1) we cannot actually do
      this when the settings dialog is embedded in the Settings Manager, and
      2) this would be an annoyance for people who navigate around and then
         change their mind and want to close the dialog without changing
         anything.
    * Add an extra "Select Folder" button to the dialog's action area that
      selects the first item in the folder and then closes the dialog (in
      addition to the "Close" button which would discard changes).  I like
      this option, but unfortunately this isn't possible when the settings
      dialog is embedded in the Settings Manager.

commit 2609e4c4c7a36d2abf0777adf8c00d3a27684aa2
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Nov 16 16:06:54 2022 -0800

    Revert "settings: select first image when directory changes"
    
    This reverts commit 11d09fd30e0e0209d1eb5736f8e8da69f18bffa2.

commit 426e49d430ff5c349064f5d0ea253eff6c5dc9cc
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Nov 16 15:48:36 2022 -0800

    Improve icon area invalidation
    
    This unfortunately somewhat only papers over a redraw bug, and also
    unfortunately likely causes us to draw a little more than is strictly
    necessary, but should fix some redraw glitches when removing/moving an
    icon that has a wide pixbuf.
    
    At some point I should figure out why the pixbuf extents seems to be 1
    pixel (at least) larger than the cacluated extents, but for now this
    will do.

commit 4283adbfd4470d6ea6edd669f3edca193bee7f5c
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Wed Nov 16 15:21:09 2022 -0800

    Clean up desktop icon pixbuf loading a little bit

commit 99e467a98eb085f5b15e95d45b6f5d002c1af668
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Sat Nov 12 21:49:14 2022 +0100

    bump copyright year to 2022

commit 0aae59271bffb48b3fe4680f322854402d685033
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 8 12:53:07 2022 +0100

    I18n: Update translation pl (100%).
    
    253 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f745bfaab8487a8ae73a72ad61db68d9233b0c6c
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Sun Nov 6 12:34:23 2022 -0800

    Make file transfer d-bus operations async
    
    This should fix the xfdesktop UI hanging when large file operations are
    in progress.

commit f2cb2573cb813e65acf55b392c3b84df3fb98b4d
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Tue Nov 1 16:20:39 2022 -0700

    Back to development

commit 0cbe2819be20f650ea57fdd4af592cb4e805ff21
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Mon Oct 31 19:10:02 2022 -0700

    Updates for release

commit e9319d00b4fe87d859d310cba8cca8f5c7f01c74
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Mon Sep 19 13:46:47 2022 +0200

    doc: README.xfconf: fix missing type for 'primary' attribute
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit f082dfde0a0d6dd55e2e1710fa7e4bd52fb66069
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Mon Sep 19 15:01:54 2022 +0200

    xfce-desktop: give the 'primary' property a more clear description

commit 2ae9496c3e05abe5649bb183ea67108a5eff0a87
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Mon Sep 19 16:38:44 2022 +0200

    harmonize build-time option USE_DESKTOP_MENU to ENABLE_DESKTOP_MENU
    
    For better consistency, rename the USE_DESKTOP_MENU define - all others
    already have ENABLE_* naming scheme.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit 53265ef633f8cf87c9636cb37a0ee624b5ef1a5a
Author: Anonymous <noreply@xfce.org>
Date:   Sat Oct 29 00:50:42 2022 +0200

    I18n: Update translation de (100%).
    
    253 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1d6fa261fa902c9dbfb09aeaf232bb586f161bb8
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Fri Oct 28 02:09:27 2022 -0700

    Fix windowlist icon blurriness when UI scale factor != 1

commit 51b2a56e39e7ab78b160240eed9aceacf5b2d30d
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 27 23:31:08 2022 -0700

    Don't use deprecated xfce_spawn_*() functions

commit 9070e0a815dc9a08dcec91cd17339efd6092b389
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 27 23:25:02 2022 -0700

    Ignore deprecation warnings from libwnck functions
    
    We still support older versions of libwnck that don't have the new
    functions, and using the old ones is harmless.

commit 92d172f0818f4f4161c4379dfccb2da037d2bde7
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 27 23:17:40 2022 -0700

    Fix blurriness in window icons when UI scale != 1
    
    libwnck needs to be told to render icons larger when the UI is scaled
    up.

commit 5119588aa6e4b86b979c8b35e0b96c98cce2d794
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 27 14:13:15 2022 -0700

    Fix blurry drag icon when UI scale != 1

commit 1aada2a20d44f345ce5c9494e7747d7719b4ee1c
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 27 04:51:07 2022 -0700

    Fix warnings in settings dialog
    
    Accidentally missed these on a previous MR.

commit c40478c0266f1b56812e0884917822a2e5e21ff2
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 27 04:47:54 2022 -0700

    Make background previews less blurry when UI scale factor != 1
    
    This is a bit of a hack, because GtkIconView doesn't appear to allow us
    to handle different scale factors properly when providing GdkPixbuf
    instances.
    
    GtkIconView also requires the pixbuf column to be a GdkPixbuf, but to
    handle the scale factor correctly I believe we need to use a
    cairo_surface_t instead.  So we give GtkIconView its GdkPixbuf column,
    but also give it a cairo_surface_t column, and then overwrite the
    settings on its GtkCellRendererPixbuf to use the surface instead of the
    pixbuf.
    
    Hopefully this doesn't break in weird ways with new GTK versions.

commit 7e48b99e113a76b83e371bf11dd48ec1379f258e
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 27 04:04:19 2022 -0700

    Fix blurry rendering of special file icons in settings dialog

commit 105af14a2432266046edf0681f8e967cb82eb03a
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Thu Oct 27 03:51:02 2022 -0700

